Link access token for one Sandbox, Test, or Live authorization.
x-linked-account-id
string
header
required
Selects one of the authorization's linked accounts via the x-linked-account-id header.
Headers
x-linked-account-id
string
required
The linked account to use. The user must have shared it with your app. A missing account returns linked_account_required; an account outside your access returns linked_account_not_granted.
Example:
"conn_example123"
Query Parameters
limit
integer
default:20
Number of items to return (1-100, default: 20)
Required range: 1 <= x <= 100
cursor
string | null
Cursor from the previous response. Send it to get the next page.
startDate
Option 1 · stringOption 2 · stringOption 3 · any
Start date in ISO 8601 format. Keep this date when requesting older results.
endDate
Option 1 · stringOption 2 · stringOption 3 · any
End date in ISO 8601 format. Use an earlier date to request older results.
Response
Successful response
items
object[]
required
Show child attributes
page
object
required
Show child attributes
Was this page helpful?
{"docsConfig":{"theme":"palm","$schema":"https://mintlify.com/docs.json","name":"OFAuth","description":"Documentation for OFAuth's OnlyFans API, account linking, SDKs, webhooks, and integration guides.","colors":{"primary":"#6366F1","light":"#818CF8","dark":"#4F46E5"},"logo":{"light":"https://mintcdn.com/ofauth/571ugJJGTSdXdJht/logo/light.svg?fit=max\u0026auto=format\u0026n=571ugJJGTSdXdJht\u0026q=85\u0026s=905d539cf2e1a6600a7a918aec6fe4a0","dark":"https://mintcdn.com/ofauth/571ugJJGTSdXdJht/logo/dark.svg?fit=max\u0026auto=format\u0026n=571ugJJGTSdXdJht\u0026q=85\u0026s=986b5b177d06200e8b49c3c32db37d00"},"favicon":"https://mintcdn.com/ofauth/Be9gAND7q7m4dJJj/favicon.ico?fit=max\u0026auto=format\u0026n=Be9gAND7q7m4dJJj\u0026q=85\u0026s=ab1e53351390f1b98a873656df5f7a0f","api":{"playground":{"display":"interactive"},"mdx":{"server":"https://api.ofauth.com"}},"background":{"decoration":"gradient"},"navbar":{"links":[{"href":"mailto:support@ofauth.com","label":"Support"}],"primary":{"type":"button","label":"Dashboard","href":"https://ofauth.com"}},"footer":{"socials":{"telegram":"https://t.me/ofauth","github":"https://github.com/ofauth-org"}},"seo":{"indexing":"all"},"icons":{"library":"fontawesome"},"contextual":{"options":["copy","view","mcp","chatgpt","claude"],"display":"header"},"interaction":{"drilldown":true},"metadata":{"timestamp":false},"styling":{"latex":true},"navigation":{"global":{},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"ofauth","hasAudioNarration":false,"actualSubdomain":"ofauth","customDomains":["docs.ofauth.com"],"gitSource":{"type":"github","owner":"ofauth-source","repo":"public-docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"feedback":{"edits":false,"thumbs":true,"issues":false},"entitlements":{},"buildId":"6afd8152dd0acd4b075afc3f","clientVersion":"0.0.4205","searchFilterCounts":[{"language":"default","tag":"API Reference","count":492},{"language":"default","tag":"Access API","count":399},{"language":"default","tag":"Users","count":60},{"language":"default","tag":"Promotions","count":59},{"language":"default","tag":"Posts","count":54},{"language":"default","tag":"Analytics","count":52},{"language":"default","tag":"Chats \u0026 Messages","count":36},{"language":"default","tag":"Docs","count":35},{"language":"default","tag":"Media \u0026 Vault","count":34},{"language":"default","tag":"User Lists","count":32}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":".nav-logo{height:32px}"}],"page":{"pagePath":"v3/api-reference/promotions/list-promotions","slug":"/v3/api-reference/promotions/list-promotions","pageMetadata":{"title":"List promotions","description":"Get a list of all promotions\n\n**Required scope:** `promotions:read`","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/promotions","href":"/v3/api-reference/promotions/list-promotions","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {Fragment: _Fragment, jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n code: \"code\",\n p: \"p\",\n strong: \"strong\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_Fragment, {\n children: [_jsx(_components.p, {\n children: \"Get a list of all promotions\"\n }), \"\\n\", _jsxs(_components.p, {\n children: [_jsx(_components.strong, {\n children: \"Required scope:\"\n }), \" \", _jsx(_components.code, {\n children: \"promotions:read\"\n })]\n })]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"List promotions","description":"Get a list of all promotions\n\n**Required scope:** `promotions:read`","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/promotions","href":"/v3/api-reference/promotions/list-promotions","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"tags":["Promotions"],"summary":"List promotions","deprecated":false,"description":"Get a list of all promotions\n\n**Required scope:** `promotions:read`","x-ofauth-permission":"promotions:read","security":["c7c6e65a-9aa9-4e76-ba81-6a345aedbe41"],"parameters":["2988fa70-2db8-4323-9086-3e87f2bc178f","9eb4f78c-889c-42b2-8577-c7a1c876b717","cadb3314-a698-435c-852d-a2713cab4327","fc1854a8-d66f-4ea8-98c5-267581b04f96","6fabde42-c78f-40d5-a2bc-3a2b5860506c"],"responses":{"200":"9cd56221-da2a-4849-91ee-e3159384838d","400":"06cbefa2-a11a-42a3-b0ed-6445fbffabb7","401":"3d044d14-e1b9-4987-bf8d-74a0fdf2b01d","403":"ce8a5304-8d75-4e48-8b0e-fd0e018cd829","429":"4565c6ea-c006-4d27-a64f-c69cc1a1b2e1","500":"3ed3868d-b6af-4718-9894-23af7e53aac1","502":"92364fab-b0b4-4626-afca-1eb063d8d683"},"operationId":"access.promotions.list","method":"get","type":"path","servers":["13feb026-41f4-4ec3-aabb-84839839d89b"],"path":"/v3/access/promotions","baseUrlOptions":["https://api.ofauth.com"],"title":"List promotions","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"2988fa70-2db8-4323-9086-3e87f2bc178f":{"name":"x-linked-account-id","in":"header","required":true,"description":"The linked account to use. The user must have shared it with your app. A missing account returns `linked_account_required`; an account outside your access returns `linked_account_not_granted`.","schema":{"type":"string","example":"conn_example123","isRequired":true,"description":"The linked account to use. The user must have shared it with your app. A missing account returns `linked_account_required`; an account outside your access returns `linked_account_not_granted`.","uniqueKey":"","typeLabel":"string"}},"9eb4f78c-889c-42b2-8577-c7a1c876b717":{"schema":{"type":"integer","minimum":1,"maximum":100,"default":20,"description":"Number of items to return (1-100, default: 20)","isRequired":false,"uniqueKey":"","typeLabel":"integer"},"required":false,"description":"Number of items to return (1-100, default: 20)","name":"limit","in":"query"},"cadb3314-a698-435c-852d-a2713cab4327":{"schema":{"oneOf":[{"type":"string","description":"Cursor from the previous response. Send it to get the next page.","uniqueKey":"oneOf.0","typeLabel":"string"},{"type":"null","description":"Cursor from the previous response. Send it to get the next page.","uniqueKey":"oneOf.1","typeLabel":"null"}],"isRequired":false,"uniqueKey":"","typeLabel":"string | null"},"required":false,"description":"Cursor from the previous response. Send it to get the next page.","name":"cursor","in":"query"},"fc1854a8-d66f-4ea8-98c5-267581b04f96":{"schema":{"oneOf":[{"type":"string","description":"Start date in ISO 8601 format. Keep this date when requesting older results.","uniqueKey":"oneOf.0","typeLabel":"string"},{"type":"null","description":"Start date in ISO 8601 format. Keep this date when requesting older results.","uniqueKey":"oneOf.1","typeLabel":"null"},{"type":"string","description":"Start date in ISO 8601 format. Keep this date when requesting older results.","uniqueKey":"oneOf.2","typeLabel":"string"},{"description":"Start date in ISO 8601 format. Keep this date when requesting older results.","uniqueKey":"oneOf.3","typeLabel":"any"},{"type":"null","description":"Start date in ISO 8601 format. Keep this date when requesting older results.","uniqueKey":"oneOf.4","typeLabel":"null"}],"isRequired":false,"uniqueKey":"","typeLabel":"string · null · string · any · null"},"required":false,"description":"Start date in ISO 8601 format. Keep this date when requesting older results.","name":"startDate","in":"query"},"6fabde42-c78f-40d5-a2bc-3a2b5860506c":{"schema":{"oneOf":[{"type":"string","description":"End date in ISO 8601 format. Use an earlier date to request older results.","uniqueKey":"oneOf.0","typeLabel":"string"},{"type":"null","description":"End date in ISO 8601 format. Use an earlier date to request older results.","uniqueKey":"oneOf.1","typeLabel":"null"},{"type":"string","description":"End date in ISO 8601 format. Use an earlier date to request older results.","uniqueKey":"oneOf.2","typeLabel":"string"},{"description":"End date in ISO 8601 format. Use an earlier date to request older results.","uniqueKey":"oneOf.3","typeLabel":"any"},{"type":"null","description":"End date in ISO 8601 format. Use an earlier date to request older results.","uniqueKey":"oneOf.4","typeLabel":"null"}],"isRequired":false,"uniqueKey":"","typeLabel":"string · null · string · any · null"},"required":false,"description":"End date in ISO 8601 format. Use an earlier date to request older results.","name":"endDate","in":"query"}},"responses":{"9cd56221-da2a-4849-91ee-e3159384838d":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"items":{"type":"array","items":{"type":"object","properties":{"id":{"type":"number","isRequired":true,"uniqueKey":"\\items.items.[INDEX].id","typeLabel":"number"},"text":{"type":"string","isRequired":true,"uniqueKey":"\\items.items.[INDEX].text","typeLabel":"string"},"related":{"type":"boolean","isRequired":true,"uniqueKey":"\\items.items.[INDEX].related","typeLabel":"boolean"},"type":{"type":"string","isRequired":true,"uniqueKey":"\\items.items.[INDEX].type","typeLabel":"string"},"canClaim":{"type":"boolean","isRequired":true,"uniqueKey":"\\items.items.[INDEX].canClaim","typeLabel":"boolean"},"claimsCount":{"type":"number","isRequired":true,"uniqueKey":"\\items.items.[INDEX].claimsCount","typeLabel":"number"},"subscribeCount":{"type":"number","isRequired":true,"uniqueKey":"\\items.items.[INDEX].subscribeCount","typeLabel":"number"},"days":{"type":"number","isRequired":true,"uniqueKey":"\\items.items.[INDEX].days","typeLabel":"number"},"createdAt":{"type":"string","isRequired":true,"uniqueKey":"\\items.items.[INDEX].createdAt","typeLabel":"string"},"finishedAt":{"type":"string","isRequired":true,"uniqueKey":"\\items.items.[INDEX].finishedAt","typeLabel":"string"},"finished":{"type":"boolean","isRequired":true,"uniqueKey":"\\items.items.[INDEX].finished","typeLabel":"boolean"},"price":{"type":"number","uniqueKey":"\\items.items.[INDEX].price","typeLabel":"number"}},"required":["id","text","related","type","canClaim","claimsCount","subscribeCount","days","createdAt","finishedAt","finished"],"uniqueKey":"\\items.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"\\items","typeLabel":"object[]"},"page":{"type":"object","properties":{"nextCursor":{"oneOf":[{"type":"string","isRequired":true,"uniqueKey":"page.nextCursor.oneOf.0","typeLabel":"string"},{"type":"null","isRequired":true,"uniqueKey":"page.nextCursor.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"page.nextCursor","typeLabel":"string | null"},"hasMore":{"type":"boolean","isRequired":true,"uniqueKey":"page.hasMore","typeLabel":"boolean"},"cursor":{"oneOf":[{"type":"string","default":null,"description":"The cursor for this page. Pass it as `cursor` to get the same page again.","uniqueKey":"page.cursor.oneOf.0","typeLabel":"string"},{"type":"null","default":null,"description":"The cursor for this page. Pass it as `cursor` to get the same page again.","uniqueKey":"page.cursor.oneOf.1","typeLabel":"null"}],"uniqueKey":"page.cursor","typeLabel":"string | null"}},"required":["nextCursor","hasMore"],"additionalProperties":false,"isRequired":true,"uniqueKey":"page","typeLabel":"object"}},"required":["items","page"],"additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"items":[{"id":123,"text":"\u003cstring>","related":true,"type":"\u003cstring>","canClaim":true,"claimsCount":123,"subscribeCount":123,"days":123,"createdAt":"\u003cstring>","finishedAt":"\u003cstring>","finished":true,"price":123}],"page":{"nextCursor":"\u003cstring>","hasMore":true,"cursor":null}}}},"exampleType":"generated"}},"exampleType":"generated"},"06cbefa2-a11a-42a3-b0ed-6445fbffabb7":{"description":"Bad Request","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}},"3d044d14-e1b9-4987-bf8d-74a0fdf2b01d":{"description":"Unauthorized","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}},"ce8a5304-8d75-4e48-8b0e-fd0e018cd829":{"description":"Forbidden","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}},"4565c6ea-c006-4d27-a64f-c69cc1a1b2e1":{"description":"Rate Limit Exceeded","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}},"3ed3868d-b6af-4718-9894-23af7e53aac1":{"description":"Internal Server Error","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}},"92364fab-b0b4-4626-afca-1eb063d8d683":{"description":"Bad Gateway","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}}},"security":{"c7c6e65a-9aa9-4e76-ba81-6a345aedbe41":{"ExternalOAuth":{"type":"http","scheme":"bearer","bearerFormat":"opaque","description":"Link access token for one Sandbox, Test, or Live authorization.","scopes":[],"schemeName":"ExternalOAuth"},"LinkedAccountId":{"type":"apiKey","name":"x-linked-account-id","in":"header","description":"Selects one of the authorization's linked accounts via the x-linked-account-id header.","scopes":[],"schemeName":"LinkedAccountId"}}},"servers":{"13feb026-41f4-4ec3-aabb-84839839d89b":{"url":"https://api.ofauth.com"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","bearerFormat":"opaque","description":"Link access token for one Sandbox, Test, or Live authorization.","scopes":[],"schemeName":"ExternalOAuth"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Link access token for one Sandbox, Test, or Live authorization.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"ExternalOAuth","name":"Authorization"},{"scheme":{"type":"apiKey","name":"x-linked-account-id","in":"header","description":"Selects one of the authorization's linked accounts via the x-linked-account-id header.","scopes":[],"schemeName":"LinkedAccountId"},"schema":{"title":"x-linked-account-id","type":"string","description":"Selects one of the authorization's linked accounts via the x-linked-account-id header.","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"LinkedAccountId","name":"x-linked-account-id"}],"title":"ExternalOAuth \u0026 LinkedAccountId"}]},"originalFileLocation":"openapi/v3.json"},"subdomain":"ofauth","siteName":"OFAuth","title":"List promotions - OFAuth","navMaps":{"firstHrefInVersion":{"V2":{"href":"/api-reference/promotions/list-promotions","matchLevel":1},"V3 beta":{"href":"/v3/api-reference/promotions/list-promotions","matchLevel":0}},"firstHrefInLanguage":{}},"lastModified":"2026-11-18T09:43:08.348Z","originalFileLocation":"v3/api-reference/promotions/list-promotions.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Get a list of all promotions Required scope: promotions:read\">\u003cmeta data-mint-head name=\"application-name\" content=\"OFAuth\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/ofauth/NUy-KzQTTXUtPHAt/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/ofauth/NUy-KzQTTXUtPHAt/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/ofauth/NUy-KzQTTXUtPHAt/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/ofauth/NUy-KzQTTXUtPHAt/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/ofauth/NUy-KzQTTXUtPHAt/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/ofauth/NUy-KzQTTXUtPHAt/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/ofauth/NUy-KzQTTXUtPHAt/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/ofauth/NUy-KzQTTXUtPHAt/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/ofauth/NUy-KzQTTXUtPHAt/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"List promotions - OFAuth\">\u003cmeta data-mint-head property=\"og:description\" content=\"Get a list of all promotions Required scope: promotions:read\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"OFAuth\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.ofauth.com/v3/api-reference/promotions/list-promotions\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://ofauth.mintlify.site/_mintlify/api/og/v2?division=Promotions\u0026amp;title=List+promotions\u0026amp;description=Get+a+list+of+all+promotions%0A%0A**Required+scope%3A**+%60promotions%3Aread%60\u0026amp;theme=73705540decc51e846381d73\u0026amp;signature=27b9113a613b58d74990eb70910dfa1105c5517c1d6e604fac39dc664f9d78c5\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"List promotions - OFAuth\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Get a list of all promotions Required scope: promotions:read\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://ofauth.mintlify.site/_mintlify/api/og/v2?division=Promotions\u0026amp;title=List+promotions\u0026amp;description=Get+a+list+of+all+promotions%0A%0A**Required+scope%3A**+%60promotions%3Aread%60\u0026amp;theme=73705540decc51e846381d73\u0026amp;signature=27b9113a613b58d74990eb70910dfa1105c5517c1d6e604fac39dc664f9d78c5\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/ofauth/NUy-KzQTTXUtPHAt/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"OFAuth\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#6366F1\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.ofauth.com/v3/api-reference/promotions/list-promotions\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/v3/api-reference/promotions/list-promotions.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.ofauth.com/#organization\",\"name\":\"OFAuth\",\"url\":\"https://docs.ofauth.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/ofauth/571ugJJGTSdXdJht/logo/light.svg?fit=max\u0026auto=format\u0026n=571ugJJGTSdXdJht\u0026q=85\u0026s=905d539cf2e1a6600a7a918aec6fe4a0\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.ofauth.com#website\",\"name\":\"OFAuth\",\"url\":\"https://docs.ofauth.com\",\"publisher\":{\"@id\":\"https://docs.ofauth.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.ofauth.com/v3/api-reference/promotions/list-promotions#webpage\",\"url\":\"https://docs.ofauth.com/v3/api-reference/promotions/list-promotions\",\"name\":\"List promotions\",\"description\":\"Get a list of all promotions Required scope: promotions:read\",\"dateModified\":\"2026-11-18T09:43:08.348Z\",\"isPartOf\":{\"@id\":\"https://docs.ofauth.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.ofauth.com/v3/api-reference/promotions/list-promotions#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.ofauth.com/v3/api-reference/promotions/list-promotions#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Access API\",\"item\":\"https://docs.ofauth.com/v3/api-reference/self/social-buttons\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Promotions\",\"item\":\"https://docs.ofauth.com/v3/api-reference/promotions/list-tracking-links\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Promotions\",\"item\":\"https://docs.ofauth.com/v3/api-reference/promotions/hide-promotion-offers\"},{\"@type\":\"ListItem\",\"position\":4,\"name\":\"List promotions\",\"item\":\"https://docs.ofauth.com/v3/api-reference/promotions/list-promotions\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.ofauth.com/v3/api-reference/promotions/list-promotions#apireference\",\"headline\":\"List promotions\",\"name\":\"List promotions\",\"description\":\"Get a list of all promotions Required scope: promotions:read\",\"url\":\"https://docs.ofauth.com/v3/api-reference/promotions/list-promotions\",\"mainEntityOfPage\":{\"@id\":\"https://docs.ofauth.com/v3/api-reference/promotions/list-promotions#webpage\"},\"dateModified\":\"2026-11-18T09:43:08.348Z\",\"publisher\":{\"@id\":\"https://docs.ofauth.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.ofauth.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"OFAuth\",\"publisher\":{\"@type\":\"Organization\",\"name\":\"OFAuth\"},\"provider\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","agentPointerHref":"/v3/api-reference/promotions/list-promotions.md","siteName":"OFAuth","nav":{"global":{},"versions":[{"version":"V2","default":true,"pages":[{"title":"V2","href":"/api-reference/promotions/list-promotions"}]},{"version":"V3 beta","tabs":[{"tab":"Docs","icon":"book-open","pages":[{"title":"Docs","href":"/v3"}]},{"tab":"API Reference","icon":"terminal","groups":[{"group":"General","icon":"book","pages":[{"title":"API overview","sidebarTitle":"Overview","href":"/v3/api-reference"},{"title":"Authentication and permissions","href":"/v3/api-reference/authentication"},{"title":"Pagination","href":"/v3/reference/pagination"},{"title":"Environments","href":"/v3/api-reference/environments"},{"title":"Errors","href":"/v3/api-reference/errors"},{"title":"Rate limiting","href":"/v3/reference/rate-limiting"},{"title":"Security","href":"/v3/reference/security"},{"title":"Webhook delivery reference","href":"/v3/api-reference/webhooks"}]},{"group":"Account API","icon":"building","pages":[{"title":"Linked accounts","href":"/v3/api-reference/account/linked-accounts"},{"group":"Linked accounts","icon":"plug","pages":[{"title":"List this authorization's linked accounts","deprecated":null,"version":null,"openapi":"/openapi/v3.json get /v3/linked-accounts","href":"/v3/api-reference/linked-accounts/list-this-authorizations-linked-accounts"},{"title":"Get a linked account","deprecated":null,"version":null,"openapi":"/openapi/v3.json get /v3/linked-accounts/{id}","href":"/v3/api-reference/linked-accounts/get-a-linked-account"},{"title":"Remove a linked account","deprecated":null,"version":null,"openapi":"/openapi/v3.json delete /v3/linked-accounts/{id}","href":"/v3/api-reference/linked-accounts/remove-a-linked-account"},{"title":"Reconnect a linked account","deprecated":null,"version":null,"openapi":"/openapi/v3.json post /v3/linked-accounts/{id}/reconnect","href":"/v3/api-reference/linked-accounts/reconnect-a-linked-account"}]},{"group":"Settings","icon":"gear","pages":[{"title":"Get linked account settings","deprecated":null,"version":null,"openapi":"/openapi/v3.json get /v3/linked-accounts/{id}/settings","href":"/v3/api-reference/linked-accounts/get-linked-account-settings"},{"title":"Update linked account settings","deprecated":null,"version":null,"openapi":"/openapi/v3.json patch /v3/linked-accounts/{id}/settings","href":"/v3/api-reference/linked-accounts/update-linked-account-settings"}]}]},{"group":"Link API","icon":"https://mintlify.s3.us-west-1.amazonaws.com/ofauth/images/v3/products/link.webp","pages":[{"title":"Authorize","href":"/v3/api-reference/link/authorize"},{"title":"Tokens and refresh","href":"/v3/api-reference/link/tokens"},{"title":"User info","href":"/v3/api-reference/link/userinfo"},{"title":"Get the person who authorized this app","deprecated":null,"version":null,"openapi":"/openapi/v3.json get /v3/link/userinfo","href":"/v3/api-reference/link/get-the-person-who-authorized-this-app"},{"title":"Start an authorization","deprecated":null,"version":null,"openapi":"/openapi/v3.json get /v3/authorize","href":"/v3/api-reference/link/start-an-authorization"},{"title":"Exchange an authorization code or refresh token","deprecated":null,"version":null,"openapi":"/openapi/v3.json post /v3/link/token","href":"/v3/api-reference/link/exchange-an-authorization-code-or-refresh-token"},{"title":"Revoke a token","deprecated":null,"version":null,"openapi":"/openapi/v3.json post /v3/link/revoke","href":"/v3/api-reference/link/revoke-a-token"},{"title":"Link authorization server metadata","deprecated":null,"version":null,"openapi":"/openapi/v3.json get /.well-known/oauth-authorization-server/v3/link","href":"/v3/api-reference/link/link-authorization-server-metadata"}]},{"group":"Access API","icon":"https://mintlify.s3.us-west-1.amazonaws.com/ofauth/images/v3/products/access.webp","pages":[{"group":"Account (Self)","icon":"user-circle","pages":[{"group":"Profile","pages":[{"title":"Social buttons","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/profile/social-buttons","href":"/v3/api-reference/self/social-buttons"},{"title":"Update social buttons","deprecated":false,"version":null,"openapi":"/openapi/v3.json put /v3/access/profile/social-buttons","href":"/v3/api-reference/self/update-social-buttons"},{"title":"Account capabilities","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/profile/capabilities","href":"/v3/api-reference/self/account-capabilities"},{"title":"Validate profile data","deprecated":false,"version":null,"openapi":"/openapi/v3.json post /v3/access/profile/validate","href":"/v3/api-reference/self/validate-profile-data"},{"title":"Profile counts","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/profile/counts","href":"/v3/api-reference/self/profile-counts"},{"title":"Account links","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/profile/links","href":"/v3/api-reference/self/account-links"},{"title":"Update account links","deprecated":false,"version":null,"openapi":"/openapi/v3.json put /v3/access/profile/links","href":"/v3/api-reference/self/update-account-links"},{"title":"Delete social button","deprecated":false,"version":null,"openapi":"/openapi/v3.json delete /v3/access/profile/social-buttons/:buttonId","href":"/v3/api-reference/self/delete-social-button"},{"title":"Delete account link","deprecated":false,"version":null,"openapi":"/openapi/v3.json delete /v3/access/profile/links/:linkId","href":"/v3/api-reference/self/delete-account-link"},{"title":"Current account","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/profile","href":"/v3/api-reference/self/current-account"},{"title":"Update current account","deprecated":false,"version":null,"openapi":"/openapi/v3.json patch /v3/access/profile","href":"/v3/api-reference/self/update-current-account"}]},{"group":"Settings","pages":[{"title":"Account settings","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/settings","href":"/v3/api-reference/self/account-settings"},{"title":"Replace account setting","deprecated":false,"version":null,"openapi":"/openapi/v3.json put /v3/access/settings/:settingId","href":"/v3/api-reference/self/replace-account-setting"},{"title":"Update account setting","deprecated":false,"version":null,"openapi":"/openapi/v3.json patch /v3/access/settings/:settingId","href":"/v3/api-reference/self/update-account-setting"}]},{"group":"Notifications","pages":[{"title":"Notification count","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/notifications/count","href":"/v3/api-reference/self/notification-count"},{"title":"Mark notifications read","deprecated":false,"version":null,"openapi":"/openapi/v3.json post /v3/access/notifications/read","href":"/v3/api-reference/self/mark-notifications-read"},{"title":"List notifications","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/notifications","href":"/v3/api-reference/self/list-notifications"}]},{"group":"Release Forms","pages":[{"title":"Create release form link","deprecated":false,"version":null,"openapi":"/openapi/v3.json post /v3/access/release-forms/links","href":"/v3/api-reference/release-forms/create-release-form-link"},{"title":"Toggle release form visibility","deprecated":false,"version":null,"openapi":"/openapi/v3.json patch /v3/access/release-forms/:releaseFormId/toggle-visibility","href":"/v3/api-reference/release-forms/toggle-release-form-visibility"},{"title":"List release forms","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/release-forms","href":"/v3/api-reference/release-forms/list-release-forms"},{"title":"Update release form","deprecated":false,"version":null,"openapi":"/openapi/v3.json patch /v3/access/release-forms/:releaseFormId","href":"/v3/api-reference/release-forms/update-release-form"}]}]},{"group":"Chats \u0026 Messages","icon":"comments","pages":[{"group":"Direct Messages","icon":"comment","pages":[{"group":"Messages","pages":[{"title":"Pin message for user","deprecated":false,"version":null,"openapi":"/openapi/v3.json post /v3/access/chats/messages/:messageId/pin/user/:userId","href":"/v3/api-reference/chats/pin-message-for-user"},{"title":"Unpin message for user","deprecated":false,"version":null,"openapi":"/openapi/v3.json delete /v3/access/chats/messages/:messageId/pin/user/:userId","href":"/v3/api-reference/chats/unpin-message-for-user"},{"title":"Like chat message","deprecated":false,"version":null,"openapi":"/openapi/v3.json post /v3/access/chats/messages/:messageId/like","href":"/v3/api-reference/chats/like-chat-message"},{"title":"Unlike chat message","deprecated":false,"version":null,"openapi":"/openapi/v3.json delete /v3/access/chats/messages/:messageId/like","href":"/v3/api-reference/chats/unlike-chat-message"},{"title":"Chat thread unpin message","deprecated":false,"version":null,"openapi":"/openapi/v3.json delete /v3/access/chats/:userId/messages/pin","href":"/v3/api-reference/chats/chat-thread-unpin-message"},{"title":"Mark all chats as read","deprecated":false,"version":null,"openapi":"/openapi/v3.json post /v3/access/chats/mark-all-as-read","href":"/v3/api-reference/chats/mark-all-chats-as-read"},{"title":"Chats with tips","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/chats/with-tips","href":"/v3/api-reference/messages/chats-with-tips"},{"title":"Priority chats","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/chats/priority","href":"/v3/api-reference/messages/priority-chats"},{"title":"Unread chats","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/chats/unread","href":"/v3/api-reference/messages/unread-chats"},{"title":"Chat thread messages","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/chats/:userId/messages","href":"/v3/api-reference/messages/chat-thread-messages"},{"title":"Chat thread send message","deprecated":false,"version":null,"openapi":"/openapi/v3.json post /v3/access/chats/:userId/messages","href":"/v3/api-reference/messages/chat-thread-send-message"},{"title":"Chat thread hide","deprecated":false,"version":null,"openapi":"/openapi/v3.json post /v3/access/chats/:userId/hide","href":"/v3/api-reference/chats/chat-thread-hide"},{"title":"Chat thread mute","deprecated":false,"version":null,"openapi":"/openapi/v3.json post /v3/access/chats/:userId/mute","href":"/v3/api-reference/chats/chat-thread-mute"},{"title":"Chat thread unmute","deprecated":false,"version":null,"openapi":"/openapi/v3.json delete /v3/access/chats/:userId/mute","href":"/v3/api-reference/chats/chat-thread-unmute"},{"title":"Chat thread unsend message","deprecated":false,"version":null,"openapi":"/openapi/v3.json delete /v3/access/chats/:userId/messages/:messageId","href":"/v3/api-reference/messages/chat-thread-unsend-message"},{"title":"Chats list","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/chats","href":"/v3/api-reference/messages/chats-list"},{"title":"Chat thread","deprecated":false,"version":null,"openapi":"/openapi/v3.json delete /v3/access/chats/:userId","href":"/v3/api-reference/chats/chat-thread"}]},{"group":"Media","pages":[{"title":"Chat thread photos","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/chats/:userId/media/photos","href":"/v3/api-reference/messages/chat-thread-photos"},{"title":"Chat thread videos","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/chats/:userId/media/videos","href":"/v3/api-reference/messages/chat-thread-videos"},{"title":"Chat thread audio files","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/chats/:userId/media/audios","href":"/v3/api-reference/messages/chat-thread-audio-files"},{"title":"Chat thread media","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/chats/:userId/media","href":"/v3/api-reference/messages/chat-thread-media"}]},{"group":"Templates","pages":[{"title":"Create reply-on-subscribe message template","deprecated":false,"version":null,"openapi":"/openapi/v3.json post /v3/access/chats/messages/templates/reply_on_subscribe","href":"/v3/api-reference/chats/create-reply-on-subscribe-message-template"},{"title":"Delete reply-on-subscribe message template","deprecated":false,"version":null,"openapi":"/openapi/v3.json delete /v3/access/chats/messages/templates/reply_on_subscribe","href":"/v3/api-reference/chats/delete-reply-on-subscribe-message-template"},{"title":"Message templates","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/chats/messages/templates","href":"/v3/api-reference/chats/message-templates"}]}]},{"group":"Mass Messages","icon":"comments","pages":[{"title":"Create mass message broadcast","deprecated":false,"version":null,"openapi":"/openapi/v3.json post /v3/access/chats/mass-messages","href":"/v3/api-reference/messages/create-mass-message-broadcast"},{"title":"Mass message broadcast details","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/chats/mass-messages/:massMessageId","href":"/v3/api-reference/chats/mass-message-broadcast-details"},{"title":"Update mass message broadcast","deprecated":false,"version":null,"openapi":"/openapi/v3.json put /v3/access/chats/mass-messages/:massMessageId","href":"/v3/api-reference/messages/update-mass-message-broadcast"}]}]},{"group":"Subscribers","icon":"users","pages":[{"title":"Recently expired subscribers","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/subscribers/recent-expired","href":"/v3/api-reference/subscribers/recently-expired-subscribers"},{"title":"Expired subscribers","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/subscribers/expired","href":"/v3/api-reference/subscribers/expired-subscribers"},{"title":"Active subscribers","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/subscribers/active","href":"/v3/api-reference/subscribers/active-subscribers"},{"title":"Subscriber count","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/subscribers/count","href":"/v3/api-reference/subscribers/subscriber-count"},{"title":"Top subscribers","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/subscribers/top","href":"/v3/api-reference/subscribers/top-subscribers"},{"title":"Subscriber history entries","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/subscribers/:subscriberId/subscription-history","href":"/v3/api-reference/subscribers/subscriber-history-entries"},{"title":"Set subscriber display name","deprecated":false,"version":null,"openapi":"/openapi/v3.json put /v3/access/subscribers/:subscriberId/display-name","href":"/v3/api-reference/subscribers/set-subscriber-display-name"},{"title":"Subscribers","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/subscribers","href":"/v3/api-reference/subscribers/subscribers"},{"group":"Activity","pages":[{"title":"Subscriber renewals","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/subscribers/activity/renewals","href":"/v3/api-reference/subscribers/subscriber-renewals"},{"title":"New subscribers","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/subscribers/activity/new","href":"/v3/api-reference/subscribers/new-subscribers"},{"title":"Trial link subscribers","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/subscribers/activity/trial-links/:trialLinkId","href":"/v3/api-reference/subscribers/trial-link-subscribers"},{"title":"Promotion subscribers","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/subscribers/activity/promotions/:promotionId","href":"/v3/api-reference/subscribers/promotion-subscribers"},{"title":"Recent subscriber activity events","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/subscribers/activity","href":"/v3/api-reference/subscribers/recent-subscriber-activity-events"}]},{"group":"Awards","pages":[{"title":"Subscriber awards count","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/subscribers/awards/count","href":"/v3/api-reference/subscribers/subscriber-awards-count"},{"title":"Subscriber awards","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/subscribers/awards","href":"/v3/api-reference/subscribers/subscriber-awards"}]},{"group":"Notes \u0026 Discounts","pages":[{"title":"Apply discount to subscriber","deprecated":false,"version":null,"openapi":"/openapi/v3.json put /v3/access/subscribers/:subscriberId/discount","href":"/v3/api-reference/subscribers/apply-discount-to-subscriber"},{"title":"Update subscriber note","deprecated":false,"version":null,"openapi":"/openapi/v3.json put /v3/access/subscribers/:subscriberId/note","href":"/v3/api-reference/subscribers/update-subscriber-note"},{"title":"Clear subscriber note","deprecated":false,"version":null,"openapi":"/openapi/v3.json delete /v3/access/subscribers/:subscriberId/note","href":"/v3/api-reference/subscribers/clear-subscriber-note"}]}]},{"group":"Subscriptions","icon":"user-check","pages":[{"title":"Subscribed creator count","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/subscriptions/subscribes/count","href":"/v3/api-reference/subscriptions/subscribed-creator-count"},{"title":"Expired subscriptions","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/subscriptions/expired","href":"/v3/api-reference/subscriptions/expired-subscriptions"},{"title":"Active subscriptions","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/subscriptions/active","href":"/v3/api-reference/subscriptions/active-subscriptions"},{"title":"Subscription counts","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/subscriptions/count","href":"/v3/api-reference/subscriptions/subscription-counts"},{"title":"Hide subscription posts","deprecated":false,"version":null,"openapi":"/openapi/v3.json put /v3/access/subscriptions/:subscriptionId/hide-posts","href":"/v3/api-reference/subscriptions/hide-subscription-posts"},{"title":"Unhide subscription posts","deprecated":false,"version":null,"openapi":"/openapi/v3.json delete /v3/access/subscriptions/:subscriptionId/hide-posts","href":"/v3/api-reference/subscriptions/unhide-subscription-posts"},{"title":"Subscribe to user","deprecated":false,"version":null,"openapi":"/openapi/v3.json post /v3/access/users/:userId/subscribe","href":"/v3/api-reference/users/subscribe-to-user"},{"title":"Subscriptions","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/subscriptions","href":"/v3/api-reference/subscriptions/subscriptions"}]},{"group":"Users","icon":"user","pages":[{"group":"Lookup","pages":[{"title":"Scheduled user streams","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/users/:userId/streams/scheduled","href":"/v3/api-reference/users/scheduled-user-streams"},{"title":"Pinned user friends","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/users/:userId/friends/pinned","href":"/v3/api-reference/users/pinned-user-friends"},{"title":"User social buttons","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/users/:userId/social/buttons","href":"/v3/api-reference/users/user-social-buttons"},{"title":"Recommended users","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/users/recommends","href":"/v3/api-reference/users/recommended-users"},{"title":"User promotions","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/users/promotions","href":"/v3/api-reference/users/user-promotions"},{"title":"Mention users","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/users/mention","href":"/v3/api-reference/users/mention-users"},{"title":"Search performers","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/users/search","href":"/v3/api-reference/users/search-performers"},{"title":"Check users exist","deprecated":false,"version":null,"openapi":"/openapi/v3.json post /v3/access/users/exists","href":"/v3/api-reference/users/check-users-exist"},{"title":"Batch get users","deprecated":false,"version":null,"openapi":"/openapi/v3.json post /v3/access/users/batch","href":"/v3/api-reference/users/batch-get-users"},{"title":"User hints","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/users/hints","href":"/v3/api-reference/users/user-hints"},{"title":"User friends","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/users/:userId/friends","href":"/v3/api-reference/users/user-friends"},{"title":"User streams","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/users/:userId/streams","href":"/v3/api-reference/users/user-streams"},{"title":"Public user links","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/users/:userId/links","href":"/v3/api-reference/users/public-user-links"},{"title":"List users","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/users","href":"/v3/api-reference/users/list-users"},{"title":"Get user","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/users/:userId","href":"/v3/api-reference/users/get-user"}]},{"group":"Restrictions","pages":[{"title":"List restricted users","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/users/restrict","href":"/v3/api-reference/users/list-restricted-users"},{"title":"List blocked users","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/users/blocked","href":"/v3/api-reference/users/list-blocked-users"},{"title":"Restrict user","deprecated":false,"version":null,"openapi":"/openapi/v3.json post /v3/access/users/:userId/restrict","href":"/v3/api-reference/users/restrict-user"},{"title":"Unrestrict user","deprecated":false,"version":null,"openapi":"/openapi/v3.json delete /v3/access/users/:userId/restrict","href":"/v3/api-reference/users/unrestrict-user"},{"title":"Block user","deprecated":false,"version":null,"openapi":"/openapi/v3.json post /v3/access/users/:userId/block","href":"/v3/api-reference/users/block-user"},{"title":"Unblock user","deprecated":false,"version":null,"openapi":"/openapi/v3.json delete /v3/access/users/:userId/block","href":"/v3/api-reference/users/unblock-user"}]},{"group":"User Lists","icon":"list","pages":[{"title":"Pinned list users","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/lists/:listId/users/pinned","href":"/v3/api-reference/lists/pinned-list-users"},{"title":"Pin list user","deprecated":false,"version":null,"openapi":"/openapi/v3.json post /v3/access/lists/:listId/users/:userId/pin","href":"/v3/api-reference/lists/pin-list-user"},{"title":"Following lists","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/lists/following","href":"/v3/api-reference/lists/following-lists"},{"title":"Create list users","deprecated":false,"version":null,"openapi":"/openapi/v3.json post /v3/access/lists/users","href":"/v3/api-reference/lists/create-list-users"},{"title":"Fan lists","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/lists/fans","href":"/v3/api-reference/lists/fan-lists"},{"title":"Sort lists","deprecated":false,"version":null,"openapi":"/openapi/v3.json post /v3/access/lists/sort","href":"/v3/api-reference/lists/sort-lists"},{"title":"List users in user list","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/lists/:listId/users","href":"/v3/api-reference/lists/list-users-in-user-list"},{"title":"Clear list users","deprecated":false,"version":null,"openapi":"/openapi/v3.json delete /v3/access/lists/:listId/users","href":"/v3/api-reference/lists/clear-list-users"},{"title":"Add user to multiple lists","deprecated":false,"version":null,"openapi":"/openapi/v3.json post /v3/access/users/:userId/lists","href":"/v3/api-reference/user-lists/add-user-to-multiple-lists"},{"title":"List posts in list","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/lists/:listId/posts","href":"/v3/api-reference/lists/list-posts-in-list"},{"title":"Sort list","deprecated":false,"version":null,"openapi":"/openapi/v3.json post /v3/access/lists/:listId/sort","href":"/v3/api-reference/lists/sort-list"},{"title":"Add user to list","deprecated":false,"version":null,"openapi":"/openapi/v3.json post /v3/access/lists/:listId/users/:userId","href":"/v3/api-reference/lists/add-user-to-list"},{"title":"Remove user from list","deprecated":false,"version":null,"openapi":"/openapi/v3.json delete /v3/access/lists/:listId/users/:userId","href":"/v3/api-reference/lists/remove-user-from-list"},{"title":"List user lists","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/lists","href":"/v3/api-reference/lists/list-user-lists"},{"title":"Create list","deprecated":false,"version":null,"openapi":"/openapi/v3.json post /v3/access/lists","href":"/v3/api-reference/lists/create-list"},{"title":"Get list","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/lists/:listId","href":"/v3/api-reference/lists/get-list"},{"title":"Update list","deprecated":false,"version":null,"openapi":"/openapi/v3.json patch /v3/access/lists/:listId","href":"/v3/api-reference/lists/update-list"},{"title":"Delete list","deprecated":false,"version":null,"openapi":"/openapi/v3.json delete /v3/access/lists/:listId","href":"/v3/api-reference/lists/delete-list"},{"group":"Labels","pages":[{"title":"Labels","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/users/labels","href":"/v3/api-reference/users/labels"},{"title":"Create label","deprecated":false,"version":null,"openapi":"/openapi/v3.json post /v3/access/users/labels","href":"/v3/api-reference/users/create-label"},{"title":"Get label","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/users/labels/:labelId","href":"/v3/api-reference/users/get-label"},{"title":"Delete label","deprecated":false,"version":null,"openapi":"/openapi/v3.json delete /v3/access/users/labels/:labelId","href":"/v3/api-reference/users/delete-label"},{"title":"User labels","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/users/:userId/labels","href":"/v3/api-reference/users/user-labels"}]}]}]},{"group":"Posts","icon":"file-lines","pages":[{"title":"List tagged friend users","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/posts/tagged-friend-users","href":"/v3/api-reference/posts/list-tagged-friend-users"},{"title":"Unarchive post","deprecated":false,"version":null,"openapi":"/openapi/v3.json post /v3/access/posts/:postId/unarchive","href":"/v3/api-reference/posts/unarchive-post"},{"title":"Post favorites","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/posts/:postId/favorites","href":"/v3/api-reference/posts/post-favorites"},{"title":"Archive post","deprecated":false,"version":null,"openapi":"/openapi/v3.json post /v3/access/posts/:postId/archive","href":"/v3/api-reference/posts/archive-post"},{"title":"List user posts","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/users/:userId/posts","href":"/v3/api-reference/posts/list-user-posts"},{"title":"Pin post","deprecated":false,"version":null,"openapi":"/openapi/v3.json post /v3/access/posts/:postId/pin","href":"/v3/api-reference/posts/pin-post"},{"title":"Favorite post for author","deprecated":false,"version":null,"openapi":"/openapi/v3.json post /v3/access/posts/:postId/favorites/:authorId","href":"/v3/api-reference/posts/favorite-post-for-author"},{"title":"List own posts","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/posts","href":"/v3/api-reference/posts/list-own-posts"},{"title":"Create post","deprecated":false,"version":null,"openapi":"/openapi/v3.json post /v3/access/posts","href":"/v3/api-reference/posts/create-post"},{"title":"Get post","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/posts/:postId","href":"/v3/api-reference/posts/get-post"},{"title":"Edit post","deprecated":false,"version":null,"openapi":"/openapi/v3.json put /v3/access/posts/:postId","href":"/v3/api-reference/posts/edit-post"},{"title":"Delete post","deprecated":false,"version":null,"openapi":"/openapi/v3.json delete /v3/access/posts/:postId","href":"/v3/api-reference/posts/delete-post"},{"group":"Comments","pages":[{"title":"Like post comment","deprecated":false,"version":null,"openapi":"/openapi/v3.json post /v3/access/posts/comments/:commentId/like","href":"/v3/api-reference/posts/like-post-comment"},{"title":"Unlike post comment","deprecated":false,"version":null,"openapi":"/openapi/v3.json delete /v3/access/posts/comments/:commentId/like","href":"/v3/api-reference/posts/unlike-post-comment"},{"title":"Pin post comment","deprecated":false,"version":null,"openapi":"/openapi/v3.json post /v3/access/posts/comments/:commentId/pin","href":"/v3/api-reference/posts/pin-post-comment"},{"title":"Unpin post comment","deprecated":false,"version":null,"openapi":"/openapi/v3.json delete /v3/access/posts/comments/:commentId/pin","href":"/v3/api-reference/posts/unpin-post-comment"},{"title":"Delete post comment","deprecated":false,"version":null,"openapi":"/openapi/v3.json delete /v3/access/posts/comments/:commentId","href":"/v3/api-reference/posts/delete-post-comment"},{"title":"Post comments","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/posts/:postId/comments","href":"/v3/api-reference/posts/post-comments"},{"title":"Create post comment","deprecated":false,"version":null,"openapi":"/openapi/v3.json post /v3/access/posts/:postId/comments","href":"/v3/api-reference/posts/create-post-comment"}]},{"group":"Bookmarks","pages":[{"title":"Post bookmark categories","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/posts/bookmarks/categories","href":"/v3/api-reference/posts/post-bookmark-categories"},{"title":"Create post bookmark category","deprecated":false,"version":null,"openapi":"/openapi/v3.json post /v3/access/posts/bookmarks/categories","href":"/v3/api-reference/posts/create-post-bookmark-category"},{"title":"Delete post bookmark category","deprecated":false,"version":null,"openapi":"/openapi/v3.json delete /v3/access/posts/bookmarks/categories/:categoryId","href":"/v3/api-reference/posts/delete-post-bookmark-category"},{"title":"Add post to bookmark category","deprecated":false,"version":null,"openapi":"/openapi/v3.json post /v3/access/posts/bookmarks/categories/:categoryId/:postId","href":"/v3/api-reference/posts/add-post-to-bookmark-category"},{"title":"Remove post from bookmark category","deprecated":false,"version":null,"openapi":"/openapi/v3.json delete /v3/access/posts/bookmarks/categories/:categoryId/:postId","href":"/v3/api-reference/posts/remove-post-from-bookmark-category"},{"title":"Post bookmarks","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/posts/bookmarks","href":"/v3/api-reference/posts/post-bookmarks"},{"title":"Post bookmarks by type","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/posts/bookmarks/:bookmarkType","href":"/v3/api-reference/posts/post-bookmarks-by-type"},{"title":"Delete post bookmarks","deprecated":false,"version":null,"openapi":"/openapi/v3.json delete /v3/access/posts/:postId/bookmarks","href":"/v3/api-reference/posts/delete-post-bookmarks"},{"title":"Post bookmarks by type and category","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/posts/bookmarks/:bookmarkType/:categoryId","href":"/v3/api-reference/posts/post-bookmarks-by-type-and-category"},{"title":"Create post bookmark","deprecated":false,"version":null,"openapi":"/openapi/v3.json post /v3/access/posts/:postId/bookmarks/:bookmarkId","href":"/v3/api-reference/posts/create-post-bookmark"}]},{"group":"Polls \u0026 Voting","pages":[{"title":"Post voters","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/posts/:postId/voters","href":"/v3/api-reference/posts/post-voters"},{"title":"Vote on post","deprecated":false,"version":null,"openapi":"/openapi/v3.json post /v3/access/posts/:postId/vote","href":"/v3/api-reference/posts/vote-on-post"},{"title":"Post voters by option","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/posts/:postId/voters/:optionId","href":"/v3/api-reference/posts/post-voters-by-option"}]},{"group":"Purchases \u0026 Tips","pages":[{"title":"Fundraising contributors count","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/posts/:postId/fund-raising-contributors/count","href":"/v3/api-reference/posts/fundraising-contributors-count"},{"title":"Post buyers","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/posts/:postId/buyers","href":"/v3/api-reference/posts/post-buyers"},{"title":"Post tips","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/posts/:postId/tips","href":"/v3/api-reference/posts/post-tips"}]}]},{"group":"Stories","icon":"book-open","pages":[{"title":"Story archive","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/stories/archive","href":"/v3/api-reference/stories/story-archive"},{"title":"Mark story watched","deprecated":false,"version":null,"openapi":"/openapi/v3.json put /v3/access/stories/:storyId/watched","href":"/v3/api-reference/stories/mark-story-watched"},{"title":"Story answer","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/stories/:storyId/answer","href":"/v3/api-reference/stories/story-answer"},{"title":"List user stories","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/users/:userId/stories","href":"/v3/api-reference/stories/list-user-stories"},{"title":"Own stories","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/stories","href":"/v3/api-reference/self/own-stories"},{"title":"Create story","deprecated":false,"version":null,"openapi":"/openapi/v3.json post /v3/access/stories","href":"/v3/api-reference/stories/create-story"},{"title":"Delete story","deprecated":false,"version":null,"openapi":"/openapi/v3.json delete /v3/access/stories/:storyId","href":"/v3/api-reference/stories/delete-story"},{"group":"Highlights","pages":[{"title":"User story highlights","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/users/:userId/stories/highlights","href":"/v3/api-reference/users/user-story-highlights"},{"title":"Create story highlight","deprecated":false,"version":null,"openapi":"/openapi/v3.json post /v3/access/stories/highlights","href":"/v3/api-reference/stories/create-story-highlight"},{"title":"Get story highlight","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/stories/highlights/:highlightId","href":"/v3/api-reference/stories/get-story-highlight"},{"title":"Update story highlight","deprecated":false,"version":null,"openapi":"/openapi/v3.json patch /v3/access/stories/highlights/:highlightId","href":"/v3/api-reference/stories/update-story-highlight"},{"title":"Delete story highlight","deprecated":false,"version":null,"openapi":"/openapi/v3.json delete /v3/access/stories/highlights/:highlightId","href":"/v3/api-reference/stories/delete-story-highlight"},{"title":"Remove story from highlight","deprecated":false,"version":null,"openapi":"/openapi/v3.json delete /v3/access/stories/highlights/:highlightId/:storyId","href":"/v3/api-reference/stories/remove-story-from-highlight"}]},{"group":"Viewers \u0026 Stats","pages":[{"title":"Story viewers","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/stories/:storyId/viewers","href":"/v3/api-reference/stories/story-viewers"},{"title":"Story stats","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/stories/:storyId/stats","href":"/v3/api-reference/stories/story-stats"}]},{"group":"Likes","pages":[{"title":"Like story","deprecated":false,"version":null,"openapi":"/openapi/v3.json post /v3/access/stories/:storyId/like","href":"/v3/api-reference/stories/like-story"},{"title":"Unlike story","deprecated":false,"version":null,"openapi":"/openapi/v3.json delete /v3/access/stories/:storyId/like","href":"/v3/api-reference/stories/unlike-story"}]},{"group":"User Restrictions","pages":[{"title":"Blocked story users","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/stories/users/blocked","href":"/v3/api-reference/stories/blocked-story-users"},{"title":"Block story user","deprecated":false,"version":null,"openapi":"/openapi/v3.json post /v3/access/stories/users/:userId/block","href":"/v3/api-reference/stories/block-story-user"},{"title":"Unblock story user","deprecated":false,"version":null,"openapi":"/openapi/v3.json delete /v3/access/stories/users/:userId/block","href":"/v3/api-reference/stories/unblock-story-user"}]}]},{"group":"Media \u0026 Vault","icon":"folder","pages":[{"title":"Vault media processing","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/vault/media/processing","href":"/v3/api-reference/vault/vault-media-processing"},{"title":"Hide vault media","deprecated":false,"version":null,"openapi":"/openapi/v3.json put /v3/access/vault/media/hidden","href":"/v3/api-reference/vault/hide-vault-media"},{"title":"Vault media types","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/vault/media/types","href":"/v3/api-reference/vault/vault-media-types"},{"title":"Get vault media release forms","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/vault/media/:mediaId/release-forms","href":"/v3/api-reference/vault/get-vault-media-release-forms"},{"title":"Vault media posts","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/vault/media/:mediaId/posts","href":"/v3/api-reference/vault/vault-media-posts"},{"title":"List vault media","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/vault/media","href":"/v3/api-reference/vault/list-vault-media"},{"title":"Vault media item","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/vault/media/:mediaId","href":"/v3/api-reference/vault/vault-media-item"},{"title":"Purchased user media","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/users/:userId/media/purchased","href":"/v3/api-reference/users/purchased-user-media"},{"group":"Vault Lists","icon":"folder-open","pages":[{"title":"Sort vault lists","deprecated":false,"version":null,"openapi":"/openapi/v3.json post /v3/access/vault/lists/sort","href":"/v3/api-reference/vault/sort-vault-lists"},{"title":"List media in vault list","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/vault/lists/:listId/media","href":"/v3/api-reference/vault-lists/list-media-in-vault-list"},{"title":"Add media to vault list","deprecated":false,"version":null,"openapi":"/openapi/v3.json post /v3/access/vault/lists/:listId/media","href":"/v3/api-reference/vault-lists/add-media-to-vault-list"},{"title":"Remove vault list media","deprecated":false,"version":null,"openapi":"/openapi/v3.json delete /v3/access/vault/lists/:listId/media","href":"/v3/api-reference/vault/remove-vault-list-media"},{"title":"List vault folders","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/vault/lists","href":"/v3/api-reference/vault-lists/list-vault-folders"},{"title":"Create vault list","deprecated":false,"version":null,"openapi":"/openapi/v3.json post /v3/access/vault/lists","href":"/v3/api-reference/vault-lists/create-vault-list"},{"title":"Vault list","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/vault/lists/:listId","href":"/v3/api-reference/vault/vault-list"},{"title":"Update vault list","deprecated":false,"version":null,"openapi":"/openapi/v3.json patch /v3/access/vault/lists/:listId","href":"/v3/api-reference/vault-lists/update-vault-list"},{"title":"Delete vault list","deprecated":false,"version":null,"openapi":"/openapi/v3.json delete /v3/access/vault/lists/:listId","href":"/v3/api-reference/vault-lists/delete-vault-list"}]},{"group":"Uploads","icon":"upload","pages":[{"title":"Finalize uploads","deprecated":false,"version":null,"openapi":"/openapi/v3.json post /v3/access/uploads/finalize","href":"/v3/api-reference/upload/finalize-uploads"},{"title":"Start upload","deprecated":false,"version":null,"openapi":"/openapi/v3.json post /v3/access/uploads/start","href":"/v3/api-reference/upload/start-upload"},{"title":"Create vault upload session","deprecated":false,"version":null,"openapi":"/openapi/v3.json post /v3/access/vault/uploads","href":"/v3/api-reference/vault/create-vault-upload-session"},{"title":"Upload single-part media and auto-finalize","deprecated":false,"version":null,"openapi":"/openapi/v3.json put /v3/access/uploads/:mediaUploadId/finalize","href":"/v3/api-reference/upload/upload-single-part-media-and-auto-finalize"},{"title":"Vault upload session status","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/vault/uploads/:batchId","href":"/v3/api-reference/vault/vault-upload-session-status"},{"title":"Upload part","deprecated":false,"version":null,"openapi":"/openapi/v3.json put /v3/access/uploads/:mediaUploadId/parts/:partNumber","href":"/v3/api-reference/upload/upload-part"}]}]},{"group":"Earnings","icon":"dollar-sign","pages":[{"group":"Earnings Charts","pages":[{"title":"Subscription earnings over time","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/finances/earnings/timeseries/subscriptions","href":"/v3/api-reference/finances/subscription-earnings-over-time"},{"title":"Profile tips over time","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/finances/earnings/timeseries/profile-tips","href":"/v3/api-reference/finances/profile-tips-over-time"},{"title":"Message earnings over time","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/finances/earnings/timeseries/messages","href":"/v3/api-reference/finances/message-earnings-over-time"},{"title":"Stream earnings over time","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/finances/earnings/timeseries/streams","href":"/v3/api-reference/finances/stream-earnings-over-time"},{"title":"Total earnings over time","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/finances/earnings/timeseries/total","href":"/v3/api-reference/finances/total-earnings-over-time"},{"title":"Post earnings over time","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/finances/earnings/timeseries/posts","href":"/v3/api-reference/finances/post-earnings-over-time"},{"title":"Get earnings chart","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/finances/earnings/timeseries","href":"/v3/api-reference/finances/get-earnings-chart"}]},{"group":"Transactions","pages":[{"title":"Message transactions","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/finances/earnings/transactions/messages","href":"/v3/api-reference/finances/message-transactions"},{"title":"Tip transactions","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/finances/earnings/transactions/tips","href":"/v3/api-reference/finances/tip-transactions"},{"title":"List transactions","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/finances/earnings/transactions","href":"/v3/api-reference/finances/list-transactions"}]},{"group":"Chargebacks","pages":[{"title":"Chargeback ratio","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/finances/payouts/chargebacks/ratio","href":"/v3/api-reference/finances/chargeback-ratio"},{"title":"Chargebacks over time","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/finances/timeseries/chargebacks","href":"/v3/api-reference/finances/chargebacks-over-time"},{"title":"List chargebacks","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/finances/earnings/chargebacks","href":"/v3/api-reference/finances/list-chargebacks"}]},{"group":"Payouts","pages":[{"title":"Check payout receive status","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/finances/payouts/check-receive","href":"/v3/api-reference/finances/check-payout-receive-status"},{"title":"Payout balances","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/finances/payouts/balances","href":"/v3/api-reference/finances/payout-balances"},{"title":"Payout requests","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/finances/payouts/requests","href":"/v3/api-reference/finances/payout-requests"},{"title":"Payout stats","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/finances/payouts/stats","href":"/v3/api-reference/finances/payout-stats"}]},{"group":"Referrals","pages":[{"title":"Referral payout requests","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/finances/referrals/payout-requests","href":"/v3/api-reference/finances/referral-payout-requests"},{"title":"Referrals over time","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/finances/referrals/timeseries","href":"/v3/api-reference/finances/referrals-over-time"},{"title":"Referral balance","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/finances/referrals/balance","href":"/v3/api-reference/finances/referral-balance"},{"title":"Referrals","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/finances/referrals","href":"/v3/api-reference/self/referrals"}]}]},{"group":"Analytics","icon":"chart-bar","pages":[{"group":"Posts","icon":"file-lines","pages":[{"title":"Posts over time","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/analytics/timeseries/engagement/posts/count","href":"/v3/api-reference/analytics/posts-over-time"},{"title":"Post views over time","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/analytics/timeseries/engagement/posts/views","href":"/v3/api-reference/analytics/post-views-over-time"},{"title":"Posts chart","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/analytics/timeseries/engagement/posts","href":"/v3/api-reference/analytics/posts-chart"},{"title":"Posts ranked by views","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/analytics/posts/rankings/views","href":"/v3/api-reference/analytics/posts-ranked-by-views"},{"title":"Top post stats","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/analytics/profile/top/posts","href":"/v3/api-reference/analytics/top-post-stats"},{"title":"Top posts","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/analytics/posts/top","href":"/v3/api-reference/analytics/top-posts"},{"title":"Post stats","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/analytics/posts/:postId","href":"/v3/api-reference/analytics/post-stats"}]},{"group":"Stories","icon":"book-open","pages":[{"title":"Stories chart","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/analytics/timeseries/engagement/stories","href":"/v3/api-reference/analytics/stories-chart"},{"title":"Top story stats","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/analytics/profile/top/stories","href":"/v3/api-reference/analytics/top-story-stats"},{"title":"Top stories","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/analytics/stories/top","href":"/v3/api-reference/analytics/top-stories"}]},{"group":"Streams","icon":"video","pages":[{"title":"Streams chart","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/analytics/timeseries/engagement/streams","href":"/v3/api-reference/analytics/streams-chart"},{"title":"Top stream stats","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/analytics/profile/top/streams","href":"/v3/api-reference/analytics/top-stream-stats"},{"title":"Top streams","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/analytics/streams/top","href":"/v3/api-reference/analytics/top-streams"}]},{"group":"Mass Messages","icon":"comments","pages":[{"title":"Direct message purchases over time","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/analytics/timeseries/engagement/messages/direct-purchases","href":"/v3/api-reference/analytics/direct-message-purchases-over-time"},{"title":"Mass messages over time","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/analytics/timeseries/engagement/messages/sent","href":"/v3/api-reference/analytics/mass-messages-over-time"},{"title":"Mass messages chart","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/analytics/timeseries/engagement/messages","href":"/v3/api-reference/analytics/mass-messages-chart"},{"title":"Direct message stats","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/analytics/profile/messages/direct","href":"/v3/api-reference/analytics/direct-message-stats"},{"title":"Top message stats","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/analytics/profile/top/messages","href":"/v3/api-reference/analytics/top-message-stats"},{"title":"Sent mass messages","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/analytics/mass-messages/sent","href":"/v3/api-reference/analytics/sent-mass-messages"},{"title":"Mass message buyers","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/analytics/mass-messages/:massMessageId/buyers","href":"/v3/api-reference/analytics/mass-message-buyers"}]},{"group":"Promotions \u0026 Campaigns","icon":"bullhorn","pages":[{"title":"Tracking link performance over time","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/analytics/timeseries/tracking-links","href":"/v3/api-reference/analytics/tracking-link-performance-over-time"},{"title":"Top tracking links","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/analytics/tracking-links/rankings","href":"/v3/api-reference/analytics/top-tracking-links"},{"title":"Trial links chart","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/analytics/timeseries/trial-links","href":"/v3/api-reference/analytics/trial-links-chart"},{"title":"Promotions chart","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/analytics/timeseries/promotions","href":"/v3/api-reference/analytics/promotions-chart"},{"title":"Top trial links","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/analytics/trial-links/top","href":"/v3/api-reference/analytics/top-trial-links"},{"title":"Top promotions","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/analytics/promotions/top","href":"/v3/api-reference/analytics/top-promotions"}]},{"group":"Visitor Analytics","icon":"globe","pages":[{"title":"Countries ranked by traffic","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/analytics/traffic/countries/rankings/total","href":"/v3/api-reference/analytics/countries-ranked-by-traffic"},{"title":"Profile views QR stats","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/analytics/profile/views/qr","href":"/v3/api-reference/analytics/profile-views-qr-stats"},{"title":"Visitor countries chart","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/analytics/timeseries/visitor-countries","href":"/v3/api-reference/analytics/visitor-countries-chart"},{"title":"Top visitor countries","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/analytics/visitor-countries/top","href":"/v3/api-reference/analytics/top-visitor-countries"}]},{"group":"Account","icon":"user-circle","pages":[{"title":"Top fan stats","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/analytics/profile/top/fans","href":"/v3/api-reference/analytics/top-fan-stats"},{"title":"Subscribers over time","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/analytics/timeseries/subscribers","href":"/v3/api-reference/analytics/subscribers-over-time"},{"title":"Today activity stats","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/analytics/profile/today-activity","href":"/v3/api-reference/analytics/today-activity-stats"},{"title":"Stats overview","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/analytics/profile/overview","href":"/v3/api-reference/analytics/stats-overview"}]}]},{"group":"Promotions","icon":"gift","pages":[{"group":"Tracking Links","icon":"link","pages":[{"title":"List tracking links","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/promotions/tracking-links","href":"/v3/api-reference/promotions/list-tracking-links"},{"title":"Create tracking link","deprecated":false,"version":null,"openapi":"/openapi/v3.json post /v3/access/promotions/tracking-links","href":"/v3/api-reference/promotions/create-tracking-link"},{"title":"Delete tracking link","deprecated":false,"version":null,"openapi":"/openapi/v3.json delete /v3/access/promotions/tracking-links/:trackingLinkId","href":"/v3/api-reference/promotions/delete-tracking-link"},{"group":"Share Access","pages":[{"title":"Tracking link shared with me","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/promotions/tracking-links/:trackingLinkId/shared-with-me","href":"/v3/api-reference/promotions/tracking-link-shared-with-me"},{"title":"Share tracking link access","deprecated":false,"version":null,"openapi":"/openapi/v3.json put /v3/access/promotions/tracking-links/:trackingLinkId/shared-users/:userId","href":"/v3/api-reference/promotions/share-tracking-link-access"},{"title":"Revoke tracking link access","deprecated":false,"version":null,"openapi":"/openapi/v3.json delete /v3/access/promotions/tracking-links/:trackingLinkId/shared-users/:userId","href":"/v3/api-reference/promotions/revoke-tracking-link-access"}]},{"title":"Tracking link claimed users","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/promotions/tracking-links/:trackingLinkId/claimed-users","href":"/v3/api-reference/promotions/tracking-link-claimed-users"}]},{"group":"Trial Links","icon":"clock","pages":[{"title":"Deactivate trial link","deprecated":false,"version":null,"openapi":"/openapi/v3.json post /v3/access/promotions/trial-links/:trialLinkId/deactivate","href":"/v3/api-reference/promotions/deactivate-trial-link"},{"title":"List trial links","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/promotions/trial-links","href":"/v3/api-reference/promotions/list-trial-links"},{"title":"Create trial link","deprecated":false,"version":null,"openapi":"/openapi/v3.json post /v3/access/promotions/trial-links","href":"/v3/api-reference/promotions/create-trial-link"},{"group":"Share Access","pages":[{"title":"Trial link shared with me","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/promotions/trial-links/:trialLinkId/shared-with-me","href":"/v3/api-reference/promotions/trial-link-shared-with-me"},{"title":"Share trial link access","deprecated":false,"version":null,"openapi":"/openapi/v3.json put /v3/access/promotions/trial-links/:trialLinkId/shared-users/:userId","href":"/v3/api-reference/promotions/share-trial-link-access"},{"title":"Revoke trial link access","deprecated":false,"version":null,"openapi":"/openapi/v3.json delete /v3/access/promotions/trial-links/:trialLinkId/shared-users/:userId","href":"/v3/api-reference/promotions/revoke-trial-link-access"}]}]},{"group":"Promotions","icon":"gift","pages":[{"title":"Hide promotion offers","deprecated":false,"version":null,"openapi":"/openapi/v3.json post /v3/access/promotions/offers/hide","href":"/v3/api-reference/promotions/hide-promotion-offers"},{"title":"Promotion offers","description":"List promotion offers and associated users.\n\n**Required scope:** `promotions:read`","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/promotions/offers","href":"/v3/api-reference/promotions/promotion-offers"},{"title":"List promotions","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/promotions","href":"/v3/api-reference/promotions/list-promotions"},{"title":"Create promotion","description":"Create a new promotion\n\n**Required scope:** `promotions:write`","deprecated":false,"version":null,"openapi":"/openapi/v3.json post /v3/access/promotions","href":"/v3/api-reference/promotions/create-promotion"},{"title":"Delete promotion","deprecated":false,"version":null,"openapi":"/openapi/v3.json delete /v3/access/promotions/:promotionId","href":"/v3/api-reference/promotions/delete-promotion"},{"title":"End promotion","deprecated":false,"version":null,"openapi":"/openapi/v3.json post /v3/access/promotions/:promotionId/end","href":"/v3/api-reference/promotions/end-promotion"}]},{"group":"Bundles","icon":"box","pages":[{"title":"List bundles","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/promotions/bundles","href":"/v3/api-reference/promotions/list-bundles"},{"title":"Create bundle","deprecated":false,"version":null,"openapi":"/openapi/v3.json post /v3/access/promotions/bundles","href":"/v3/api-reference/promotions/create-bundle"},{"title":"Get bundle","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/promotions/bundles/:bundleId","href":"/v3/api-reference/promotions/get-bundle"},{"title":"Delete bundle","deprecated":false,"version":null,"openapi":"/openapi/v3.json delete /v3/access/promotions/bundles/:bundleId","href":"/v3/api-reference/promotions/delete-bundle"}]}]},{"group":"Queue","icon":"clock","pages":[{"group":"Posts","pages":[{"title":"Saved-for-later posts","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/queue/saved/posts","href":"/v3/api-reference/queue/saved-for-later-posts"},{"title":"Queued posts","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/queue/posts","href":"/v3/api-reference/queue/queued-posts"}]},{"group":"Messages","pages":[{"title":"Queued message","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/queue/messages/:queueMessageId","href":"/v3/api-reference/queue/queued-message"},{"title":"Delete queued message","deprecated":false,"version":null,"openapi":"/openapi/v3.json delete /v3/access/queue/messages/:queueMessageId","href":"/v3/api-reference/queue/delete-queued-message"}]},{"group":"Schedules","pages":[{"title":"Saved-for-later chat schedules","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/queue/schedules/saved-for-later/chats","href":"/v3/api-reference/queue/saved-for-later-chat-schedules"},{"title":"Saved-for-later post schedules","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/queue/schedules/saved-for-later/posts","href":"/v3/api-reference/queue/saved-for-later-post-schedules"},{"title":"Schedule counters","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/queue/schedules/counters","href":"/v3/api-reference/queue/schedule-counters"},{"title":"Publish queued schedule","deprecated":false,"version":null,"openapi":"/openapi/v3.json put /v3/access/queue/schedules/:scheduleId/publish","href":"/v3/api-reference/queue/publish-queued-schedule"},{"title":"Queued schedules","deprecated":false,"version":null,"openapi":"/openapi/v3.json get /v3/access/queue/schedules","href":"/v3/api-reference/queue/queued-schedules"}]}]}]},{"group":"Vault+ API","icon":"https://mintlify.s3.us-west-1.amazonaws.com/ofauth/images/v3/products/vault.webp","pages":[{"group":"Lists","icon":"box-archive","pages":[{"title":"List Vault+ lists","deprecated":null,"version":null,"openapi":"/openapi/v3.json get /v3/vault-plus/lists","href":"/v3/api-reference/vault+/list-vault+-lists"},{"title":"List Vault+ list media","deprecated":null,"version":null,"openapi":"/openapi/v3.json get /v3/vault-plus/lists/:listId/media","href":"/v3/api-reference/vault+/list-vault+-list-media"},{"title":"Add Vault+ list media","deprecated":null,"version":null,"openapi":"/openapi/v3.json post /v3/vault-plus/lists/:listId/add","href":"/v3/api-reference/vault+/add-vault+-list-media"},{"title":"Sync Vault+ list media","deprecated":null,"version":null,"openapi":"/openapi/v3.json put /v3/vault-plus/lists/:listId/sync","href":"/v3/api-reference/vault+/sync-vault+-list-media"}]},{"group":"Media","icon":"photo-film","pages":[{"title":"Query Vault+ media","deprecated":null,"version":null,"openapi":"/openapi/v3.json get /v3/vault-plus/media","href":"/v3/api-reference/vault+/query-vault+-media"},{"title":"Delete Vault+ linked account media","deprecated":null,"version":null,"openapi":"/openapi/v3.json delete /v3/vault-plus/media","href":"/v3/api-reference/vault+/delete-vault+-linked-account-media"},{"title":"Batch read Vault+ media","deprecated":null,"version":null,"openapi":"/openapi/v3.json post /v3/vault-plus/media/batch","href":"/v3/api-reference/vault+/batch-read-vault+-media"},{"title":"Read Vault+ media","deprecated":null,"version":null,"openapi":"/openapi/v3.json get /v3/vault-plus/media/:mediaId","href":"/v3/api-reference/vault+/read-vault+-media"},{"title":"Delete Vault+ media","deprecated":null,"version":null,"openapi":"/openapi/v3.json delete /v3/vault-plus/media/:mediaId","href":"/v3/api-reference/vault+/delete-vault+-media"}]},{"group":"Status","icon":"chart-simple","pages":[{"title":"Read Vault+ status","deprecated":null,"version":null,"openapi":"/openapi/v3.json get /v3/vault-plus/status","href":"/v3/api-reference/vault+/read-vault+-status"},{"title":"Read Vault+ stats","deprecated":null,"version":null,"openapi":"/openapi/v3.json get /v3/vault-plus/stats","href":"/v3/api-reference/vault+/read-vault+-stats"}]}]},{"group":"Realtime OnlyFans Events","icon":"https://mintlify.s3.us-west-1.amazonaws.com/ofauth/images/v3/products/realtime.webp","pages":[{"title":"Realtime OnlyFans Events","sidebarTitle":"Overview","openapi":"openapi/v3.json webhook realtimeWebhookEvent","href":"/v3/api-reference/realtime/onlyfans-events"},{"group":"Messaging","pages":[{"title":"Typing Indicator","sidebarTitle":"Typing","href":"/v3/api-reference/realtime/beta/typing"},{"title":"Chat Message","sidebarTitle":"Chat Message","href":"/v3/api-reference/realtime/beta/chat-message"},{"title":"Inbox Counts","sidebarTitle":"Inbox Counts","href":"/v3/api-reference/realtime/beta/inbox-counts"},{"title":"Chat Message Like","sidebarTitle":"Message Like","href":"/v3/api-reference/realtime/beta/chat-message-like"},{"title":"Chat Message Unlike","sidebarTitle":"Message Unlike","href":"/v3/api-reference/realtime/beta/chat-message-unlike"}]},{"group":"Content","pages":[{"title":"Stories","sidebarTitle":"Stories","href":"/v3/api-reference/realtime/beta/stories"},{"title":"Post Fundraising Updated","sidebarTitle":"Fundraising Updated","href":"/v3/api-reference/realtime/beta/post-fundraising-updated"},{"title":"Post Published","sidebarTitle":"Post Published","href":"/v3/api-reference/realtime/beta/post-published"}]},{"group":"System","pages":[{"title":"System Messages","sidebarTitle":"System Messages","href":"/v3/api-reference/realtime/beta/system-messages"},{"title":"System New Message","sidebarTitle":"System New Message","href":"/v3/api-reference/realtime/beta/system-new-message"},{"title":"Toasts","sidebarTitle":"Toasts","href":"/v3/api-reference/realtime/beta/toasts"}]}]},{"group":"System Webhook Events","icon":"webhook","pages":[{"title":"System Webhook Events","sidebarTitle":"Overview","href":"/v3/api-reference/system-webhook-events"}]},{"group":"Dynamic Rules API","icon":"wand-magic-sparkles","pages":[{"title":"Get dynamic rules","href":"/v3/api-reference/dynamic-rules"}]}]},{"tab":"Libraries \u0026 Integrations","icon":"puzzle-piece","pages":[{"title":"Libraries \u0026 Integrations","href":"/v3/sdk/typescript"}]},{"tab":"AI \u0026 agents","icon":"sparkles","pages":[{"title":"AI \u0026 agents","href":"/v3/reference/agents"}]}]}]},"basePath":"","title":"List promotions - OFAuth","deploymentId":"dpl_FZMKUpaaKiVETbfqhoUe4sPFDTmY","buildId":"dpl_FZMKUpaaKiVETbfqhoUe4sPFDTmY","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-B6WFFOBL.js","utils-BN5um1KA.js","cloneDeep-C3md22mN.js","_Uint8Array-DLlL8L26.js","isObject-FP1Yky1u.js","utils-BSmbkXJR.js","addUniqueKeysToSchema-2tqcVnUE.js","snippetPresets-CtWfvr2J.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","conditional-requirements-CFM0id0Q.js","ApiExamples-DkKHBy30.js","isEqual-O3q7y6pq.js","usePlaygroundInputsStore-Brc5H9UJ.js","shallow-C4L4xvbs.js","getApiPlaygroundDisplay-2bxyq_aI.js","CodeSnippet-BJu8ddd5.js","CodeSnippets-dazWmoqB.js","Page-CnLhKuUV.js","getPastedJson-Chy3Qa1S.js","icon-CyO7h3jh.js","MethodPill-Dle0_91v.js","DuplicateIcon-CVvWAf4a.js","createIcon-Di07A27B.js","DynamicMarkdown-C4w9kavL.js","SectionHeading-XiBebVYC.js","axios-vUo_bRtp.js","Markdown-DTeL0SpS.js","dist-OCScizqf.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","katex-YMM-FMeD.js","html-void-elements-mCSPHezU.js","marked.esm-CZWythHk.js","AssistantPageLink-KcneGfMY.js"]}